import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
function IconRenderer(props) {
    const { iconSize, icon: Icon, className, show = true } = props;
    if (!show)
        return _jsx(_Fragment, {});
    if (!Icon)
        return _jsx(_Fragment, {});
    if (typeof Icon === "string") {
        return _jsx("p", { className: className, children: Icon });
    }
    return (_jsx("p", { className: className, children: _jsx(Icon, { size: iconSize, strokeWidth: 2.5 }) }));
}
export { IconRenderer };
